## Internationalization (i18n) and Formatting

*currency.js* defaults to a US locale, but is flexible enough to work with any type of format. Since each currency instance is immutable, you can create multiple instances to work with any number of different international formats.

```js
const USD = value => currency(value);
const JPY = value => currency(value, { precision: 0, symbol: '¥' });
const EURO = value => currency(value, { symbol: '€', decimal: ',', separator: '.' });

USD(1234.567).format(true); // => "$1,234.57"
JPY(1234.567).format(true); // => "¥1,235"
EURO(1234.567).format(true); // => "€1.234,57"
```